Package be.e_contract.ejsf.component.output.carousel

# Class CarouselImage

java.lang.Object
be.e_contract.ejsf.component.output.carousel.CarouselImage

All Implemented Interfaces:
  `Serializable`

public class CarouselImage extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CarouselImage(String image, String thumbnail)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCaption()`
`String`
`getCaptionTitle()`
`String`
`getImage()`
`String`
`getOnclickLocation()`
`String`
`getThumbnail()`
`String`
`getZoomImage()`
`CarouselImage`
`withCaption(String caption)`
`CarouselImage`
`withCaptionTitle(String captionTitle)`
`CarouselImage`
`withOnclickLocation(String onclickLocation)`
`CarouselImage`
`withZoomImage(String zoomImage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CarouselImage

public CarouselImage(String image, String thumbnail)

## Method Details

### withCaption

public CarouselImage withCaption(String caption)

### withCaptionTitle

public CarouselImage withCaptionTitle(String captionTitle)

### withZoomImage

public CarouselImage withZoomImage(String zoomImage)

### withOnclickLocation

public CarouselImage withOnclickLocation(String onclickLocation)

### getImage

public String getImage()

### getCaption

public String getCaption()

### getThumbnail

public String getThumbnail()

### getZoomImage

public String getZoomImage()

### getCaptionTitle

public String getCaptionTitle()

### getOnclickLocation

public String getOnclickLocation()